/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package org.netgrok.test;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import org.netgrok.TCPDumpFileSource;
import org.junit.*;

/**
 *
 * @author blue
 */
public class TCPDumpFileSourceTest {

    @Test
    public void testEmptyFile() {
        try {
            new TCPDumpFileSource("src/test/resources/empty_file_source.dat");
        } catch (FileNotFoundException ex) {
            Assert.fail("Exception raised when trying to open empty_file_source.dat");
        }
    }

    @Test
    public void testMissingFile() {
        try {
            new TCPDumpFileSource("src/test/resources/nonexistant_file_source.dat");
            Assert.fail("Should raise a FileNotFound exception.");
        } catch (Exception ex) {
            Assert.assertEquals(ex.getClass(), FileNotFoundException.class);
        }
    }

    @Test
    public void testFilePath() {
        try {
            new TCPDumpFileSource("src/test/resources/valid_file_source.dat");
        } catch (FileNotFoundException ex) {
            Assert.fail("Exception raised when trying to open valid_file_source.dat");
        }
    }

    @Test
    public void testInputStream() {
        InputStream is;
        try {
            is = new FileInputStream(new File("src/test/resources/valid_file_source.dat"));
            try {
                new TCPDumpFileSource(is);
            } catch (Exception ex) {
                Assert.fail("Exception raised when setting the InputStream for a FileSource");
            }
        } catch (FileNotFoundException ex) {
            Assert.fail( "Could not open valid_file_source.dat" );
        }
    }
}
